pydo.databases.create_kafka_schema()
Generated on 4 Jun 2026
from pydo version
v0.35.0
Usage
client.databases.create_kafka_schema(
database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
body={
"subject_name": "customer-schema",
"schema_type": "AVRO",
"schema": "{your_schema}",
},
)Description
To create a Kafka schema for a database cluster, send a POST request to
/v2/databases/{database_cluster_uuid}/schema-registry.
Parameters
database_cluster_uuidstring requiredA unique identifier for a database cluster.
subject_namestring requiredExample:
customer-schemaThe name of the schema subject.
schema_typestring requiredThe type of the schema.
schemastring requiredExample:
{ "type": "record", "name": "Customer", "fields": [ {"name": "id", "type": "int"}, {"name": "name", "type": "string"} ] }The schema definition in the specified format.
Request Sample
Response Example
More Information
See /v2/databases/{database_cluster_uuid}/schema-registry in the API reference for additional detail on responses, headers, parameters, and more.